// the character generator has an 8x8 active pixel area set in a 10x11 pixel
// character cell.  this is just the active part.  these were dumped from
// the actual character generator ROM.

#include "UiCrt_Charset.h"

uint8 chargen[] = {

/* char 0x00 (0) */
    /*000: ........ */    0x00,
    /*001: ........ */    0x00,
    /*002: ........ */    0x00,
    /*003: ........ */    0x00,
    /*004: ........ */    0x00,
    /*005: ........ */    0x00,
    /*006: ........ */    0x00,
    /*007: ........ */    0x00,

/* char 0x01 (1) */
    /*008: ...1.... */    0x10,
    /*009: ..1.1... */    0x28,
    /*00A: .1.1.1.. */    0x54,
    /*00B: 1.1.1.1. */    0xAA,
    /*00C: .1.1.1.. */    0x54,
    /*00D: ..1.1... */    0x28,
    /*00E: ...1.... */    0x10,
    /*00F: ........ */    0x00,

/* char 0x02 (2) */
    /*010: 1....... */    0x80,
    /*011: 1.1..... */    0xA0,
    /*012: 1.1.1... */    0xA8,
    /*013: 1.1.1.1. */    0xAA,
    /*014: 1.1.1... */    0xA8,
    /*015: 1.1..... */    0xA0,
    /*016: 1....... */    0x80,
    /*017: ........ */    0x00,

/* char 0x03 (3) */
    /*018: ......1. */    0x02,
    /*019: ....1.1. */    0x0A,
    /*01A: ..1.1.1. */    0x2A,
    /*01B: 1.1.1.1. */    0xAA,
    /*01C: ..1.1.1. */    0x2A,
    /*01D: ....1.1. */    0x0A,
    /*01E: ......1. */    0x02,
    /*01F: ........ */    0x00,

/* char 0x04 (4) */
    /*020: ........ */    0x00,
    /*021: ...1.... */    0x10,
    /*022: .....1.. */    0x04,
    /*023: 1.1.1..1 */    0xA9,
    /*024: .....1.. */    0x04,
    /*025: ...1.... */    0x10,
    /*026: ........ */    0x00,
    /*027: ........ */    0x00,

/* char 0x05 (5) */
    /*028: ........ */    0x00,
    /*029: ........ */    0x00,
    /*02A: ........ */    0x00,
    /*02B: ........ */    0x00,
    /*02C: ........ */    0x00,
    /*02D: 1....... */    0x80,
    /*02E: 1.1.1.1. */    0xAA,
    /*02F: ........ */    0x00,

/* char 0x06 (6) */
    /*030: ...1.... */    0x10,
    /*031: ...1.... */    0x10,
    /*032: ...1.... */    0x10,
    /*033: ...1.... */    0x10,
    /*034: ...1.... */    0x10,
    /*035: ...1.... */    0x10,
    /*036: ...1.... */    0x10,
    /*037: ........ */    0x00,

/* char 0x07 (7) */
    /*038: .11..11. */    0x66,
    /*039: ........ */    0x00,
    /*03A: ........ */    0x00,
    /*03B: ........ */    0x00,
    /*03C: ........ */    0x00,
    /*03D: ........ */    0x00,
    /*03E: ........ */    0x00,
    /*03F: ........ */    0x00,

/* char 0x08 (8) */
    /*040: ....1... */    0x08,
    /*041: ...1.... */    0x10,
    /*042: ..1..... */    0x20,
    /*043: ........ */    0x00,
    /*044: ........ */    0x00,
    /*045: ........ */    0x00,
    /*046: ........ */    0x00,
    /*047: ........ */    0x00,

/* char 0x09 (9) */
    /*048: ..1..... */    0x20,
    /*049: ...1.... */    0x10,
    /*04A: ....1... */    0x08,
    /*04B: ........ */    0x00,
    /*04C: ........ */    0x00,
    /*04D: ........ */    0x00,
    /*04E: ........ */    0x00,
    /*04F: ........ */    0x00,

/* char 0x0A (10) */
    /*050: ...1.... */    0x10,
    /*051: ..1.1... */    0x28,
    /*052: .1...1.. */    0x44,
    /*053: 1.....1. */    0x82,
    /*054: ........ */    0x00,
    /*055: ........ */    0x00,
    /*056: ........ */    0x00,
    /*057: ........ */    0x00,

/* char 0x0B (11) */
    /*058: ........ */    0x00,
    /*059: ........ */    0x00,
    /*05A: ........ */    0x00,
    /*05B: 1.1.1.1. */    0xAA,
    /*05C: 1.1.1.1. */    0xAA,
    /*05D: 1.1.1.1. */    0xAA,
    /*05E: 1.1.1.1. */    0xAA,
    /*05F: ........ */    0x00,

/* char 0x0C (12) */
    /*060: .1...1.. */    0x44,
    /*061: .1...1.. */    0x44,
    /*062: .1...1.. */    0x44,
    /*063: .1...1.. */    0x44,
    /*064: ........ */    0x00,
    /*065: ........ */    0x00,
    /*066: .1...1.. */    0x44,
    /*067: ........ */    0x00,

/* char 0x0D (13) */
    /*068: ...1.... */    0x10,
    /*069: ..1.1... */    0x28,
    /*06A: .1.1.1.. */    0x54,
    /*06B: ...1.... */    0x10,
    /*06C: ...1.... */    0x10,
    /*06D: .1.1.1.. */    0x54,
    /*06E: ..1.1... */    0x28,
    /*06F: ...1.... */    0x10,

/* char 0x0E (14) */
    /*070: ...11.1. */    0x1A,
    /*071: ..1....1 */    0x21,
    /*072: .1.....1 */    0x41,
    /*073: .1..1.1. */    0x4A,
    /*074: .1.....1 */    0x41,
    /*075: .1.....1 */    0x41,
    /*076: .1..1.1. */    0x4A,
    /*077: .1...... */    0x40,

/* char 0x0F (15) */
    /*078: .11.11.1 */    0x6D,
    /*079: 1...1..1 */    0x89,
    /*07A: 1...1..1 */    0x89,
    /*07B: .11.1..1 */    0x69,
    /*07C: ....1..1 */    0x09,
    /*07D: ....1..1 */    0x09,
    /*07E: ....1..1 */    0x09,
    /*07F: ........ */    0x00,

/* char 0x10 (16) */
    /*080: ..111... */    0x38,
    /*081: 1.....1. */    0x82,
    /*082: ...11... */    0x18,
    /*083: .....1.. */    0x04,
    /*084: .1.1.1.. */    0x54,
    /*085: 1.....1. */    0x82,
    /*086: .1.1.1.1 */    0x55,
    /*087: ........ */    0x00,

/* char 0x11 (17) */
    /*088: ..111... */    0x38,
    /*089: 1.....1. */    0x82,
    /*08A: ..1.1... */    0x28,
    /*08B: 1.....1. */    0x82,
    /*08C: 1.1.1.1. */    0xAA,
    /*08D: 1....... */    0x80,
    /*08E: .1.1.1.. */    0x54,
    /*08F: ........ */    0x00,

/* char 0x12 (18) */
    /*090: ...1.... */    0x10,
    /*091: .1...1.. */    0x44,
    /*092: ...1.... */    0x10,
    /*093: .1.1.... */    0x50,
    /*094: ...1.... */    0x10,
    /*095: ...1.... */    0x10,
    /*096: .1.1.1.. */    0x54,
    /*097: ........ */    0x00,

/* char 0x13 (19) */
    /*098: ...1.... */    0x10,
    /*099: .1...1.. */    0x44,
    /*09A: ........ */    0x00,
    /*09B: .1.1.1.. */    0x54,
    /*09C: 1.....1. */    0x82,
    /*09D: 1.....1. */    0x82,
    /*09E: .1.1.1.. */    0x54,
    /*09F: ........ */    0x00,

/* char 0x14 (20) */
    /*0A0: ...11... */    0x18,
    /*0A1: .1....1. */    0x42,
    /*0A2: ........ */    0x00,
    /*0A3: .1....1. */    0x42,
    /*0A4: .1....1. */    0x42,
    /*0A5: .1....1. */    0x42,
    /*0A6: ..1.1.1. */    0x2A,
    /*0A7: ........ */    0x00,

/* char 0x15 (21) */
    /*0A8: .11..11. */    0x66,
    /*0A9: ........ */    0x00,
    /*0AA: .1.1.1.. */    0x54,
    /*0AB: ......1. */    0x02,
    /*0AC: .1.1.11. */    0x56,
    /*0AD: 1.....1. */    0x82,
    /*0AE: .1.1.1.1 */    0x55,
    /*0AF: ........ */    0x00,

/* char 0x16 (22) */
    /*0B0: .11..11. */    0x66,
    /*0B1: ........ */    0x00,
    /*0B2: .1.1.1.. */    0x54,
    /*0B3: 1.....1. */    0x82,
    /*0B4: 1.1.1.1. */    0xAA,
    /*0B5: 1....... */    0x80,
    /*0B6: .1.1.1.. */    0x54,
    /*0B7: ........ */    0x00,

/* char 0x17 (23) */
    /*0B8: .11..11. */    0x66,
    /*0B9: ........ */    0x00,
    /*0BA: ...1.... */    0x10,
    /*0BB: .1.1.... */    0x50,
    /*0BC: ...1.... */    0x10,
    /*0BD: ...1.... */    0x10,
    /*0BE: .1.1.1.. */    0x54,
    /*0BF: ........ */    0x00,

/* char 0x18 (24) */
    /*0C0: .11..11. */    0x66,
    /*0C1: ........ */    0x00,
    /*0C2: .1.1.1.. */    0x54,
    /*0C3: 1.....1. */    0x82,
    /*0C4: 1.....1. */    0x82,
    /*0C5: 1.....1. */    0x82,
    /*0C6: .1.1.1.. */    0x54,
    /*0C7: ........ */    0x00,

/* char 0x19 (25) */
    /*0C8: .11..11. */    0x66,
    /*0C9: ........ */    0x00,
    /*0CA: ........ */    0x00,
    /*0CB: .1....1. */    0x42,
    /*0CC: .1....1. */    0x42,
    /*0CD: .1....1. */    0x42,
    /*0CE: ..1.1.1. */    0x2A,
    /*0CF: ........ */    0x00,

/* char 0x1A (26) */
    /*0D0: ...1.... */    0x10,
    /*0D1: ....1... */    0x08,
    /*0D2: .1.1.1.. */    0x54,
    /*0D3: ......1. */    0x02,
    /*0D4: .1.1.11. */    0x56,
    /*0D5: 1.....1. */    0x82,
    /*0D6: .1.1.1.1 */    0x55,
    /*0D7: ........ */    0x00,

/* char 0x1B (27) */
    /*0D8: ...1.... */    0x10,
    /*0D9: ....1... */    0x08,
    /*0DA: .1.1.1.. */    0x54,
    /*0DB: 1.....1. */    0x82,
    /*0DC: 1.1.1.1. */    0xAA,
    /*0DD: 1....... */    0x80,
    /*0DE: .1.1.1.. */    0x54,
    /*0DF: ........ */    0x00,

/* char 0x1C (28) */
    /*0E0: ...1.... */    0x10,
    /*0E1: ....1... */    0x08,
    /*0E2: ........ */    0x00,
    /*0E3: .1....1. */    0x42,
    /*0E4: .1....1. */    0x42,
    /*0E5: .1....1. */    0x42,
    /*0E6: ..1.1.1. */    0x2A,
    /*0E7: ........ */    0x00,

/* char 0x1D (29) */
    /*0E8: 11...11. */    0xC6,
    /*0E9: ...1.... */    0x10,
    /*0EA: ..1.1... */    0x28,
    /*0EB: .1...1.. */    0x44,
    /*0EC: 1.1.1.1. */    0xAA,
    /*0ED: 1.....1. */    0x82,
    /*0EE: 1.....1. */    0x82,
    /*0EF: ........ */    0x00,

/* char 0x1E (30) */
    /*0F0: 11...11. */    0xC6,
    /*0F1: .1.1.1.. */    0x54,
    /*0F2: 1.....1. */    0x82,
    /*0F3: 1.....1. */    0x82,
    /*0F4: 1.....1. */    0x82,
    /*0F5: 1.....1. */    0x82,
    /*0F6: .1.1.1.. */    0x54,
    /*0F7: ........ */    0x00,

/* char 0x1F (31) */
    /*0F8: 11...11. */    0xC6,
    /*0F9: ........ */    0x00,
    /*0FA: 1.....1. */    0x82,
    /*0FB: 1.....1. */    0x82,
    /*0FC: 1.....1. */    0x82,
    /*0FD: 1.....1. */    0x82,
    /*0FE: .1.1.1.. */    0x54,
    /*0FF: ........ */    0x00,

/* char 0x20 (32) */
    /*100: ........ */    0x00,
    /*101: ........ */    0x00,
    /*102: ........ */    0x00,
    /*103: ........ */    0x00,
    /*104: ........ */    0x00,
    /*105: ........ */    0x00,
    /*106: ........ */    0x00,
    /*107: ........ */    0x00,

/* char 0x21 (33) */
    /*108: ..11.... */    0x30,
    /*109: ..11.... */    0x30,
    /*10A: ..11.... */    0x30,
    /*10B: ..11.... */    0x30,
    /*10C: ........ */    0x00,
    /*10D: ........ */    0x00,
    /*10E: ..11.... */    0x30,
    /*10F: ........ */    0x00,

/* char 0x22 (34) */
    /*110: ..1..1.. */    0x24,
    /*111: ..1..1.. */    0x24,
    /*112: ..1..1.. */    0x24,
    /*113: ........ */    0x00,
    /*114: ........ */    0x00,
    /*115: ........ */    0x00,
    /*116: ........ */    0x00,
    /*117: ........ */    0x00,

/* char 0x23 (35) */
    /*118: .1...1.. */    0x44,
    /*119: .1...1.. */    0x44,
    /*11A: 1.1.1.1. */    0xAA,
    /*11B: .1...1.. */    0x44,
    /*11C: 1.1.1.1. */    0xAA,
    /*11D: .1...1.. */    0x44,
    /*11E: .1...1.. */    0x44,
    /*11F: ........ */    0x00,

/* char 0x24 (36) */
    /*120: ...1.... */    0x10,
    /*121: .1.1.1.. */    0x54,
    /*122: 1..1.... */    0x90,
    /*123: .1.1.1.. */    0x54,
    /*124: ...1..1. */    0x12,
    /*125: .1.1.1.. */    0x54,
    /*126: ...1.... */    0x10,
    /*127: ........ */    0x00,

/* char 0x25 (37) */
    /*128: 11....1. */    0xC2,
    /*129: 11...1.. */    0xC4,
    /*12A: ....1... */    0x08,
    /*12B: ...1.... */    0x10,
    /*12C: ..1..... */    0x20,
    /*12D: .1...11. */    0x46,
    /*12E: 1....11. */    0x86,
    /*12F: ........ */    0x00,

/* char 0x26 (38) */
    /*130: ..11.... */    0x30,
    /*131: .1..1... */    0x48,
    /*132: ..11.... */    0x30,
    /*133: .1..1.1. */    0x4A,
    /*134: 1....1.. */    0x84,
    /*135: 1...1.1. */    0x8A,
    /*136: .1.1...1 */    0x51,
    /*137: ........ */    0x00,

/* char 0x27 (39) */
    /*138: ...1.... */    0x10,
    /*139: ...1.... */    0x10,
    /*13A: ...1.... */    0x10,
    /*13B: ........ */    0x00,
    /*13C: ........ */    0x00,
    /*13D: ........ */    0x00,
    /*13E: ........ */    0x00,
    /*13F: ........ */    0x00,

/* char 0x28 (40) */
    /*140: ....1... */    0x08,
    /*141: ...1.... */    0x10,
    /*142: ..1..... */    0x20,
    /*143: ..1..... */    0x20,
    /*144: ..1..... */    0x20,
    /*145: ...1.... */    0x10,
    /*146: ....1... */    0x08,
    /*147: ........ */    0x00,

/* char 0x29 (41) */
    /*148: ..1..... */    0x20,
    /*149: ...1.... */    0x10,
    /*14A: ....1... */    0x08,
    /*14B: ....1... */    0x08,
    /*14C: ....1... */    0x08,
    /*14D: ...1.... */    0x10,
    /*14E: ..1..... */    0x20,
    /*14F: ........ */    0x00,

/* char 0x2A (42) */
    /*150: .1...1.. */    0x44,
    /*151: ..1.1... */    0x28,
    /*152: 11.1.11. */    0xD6,
    /*153: ..1.1... */    0x28,
    /*154: .1...1.. */    0x44,
    /*155: ........ */    0x00,
    /*156: ........ */    0x00,
    /*157: ........ */    0x00,

/* char 0x2B (43) */
    /*158: ........ */    0x00,
    /*159: ...1.... */    0x10,
    /*15A: ...1.... */    0x10,
    /*15B: 11.1.11. */    0xD6,
    /*15C: ...1.... */    0x10,
    /*15D: ...1.... */    0x10,
    /*15E: ........ */    0x00,
    /*15F: ........ */    0x00,

/* char 0x2C (44) */
    /*160: ........ */    0x00,
    /*161: ........ */    0x00,
    /*162: ........ */    0x00,
    /*163: ........ */    0x00,
    /*164: ..1.1... */    0x28,
    /*165: ..1.1... */    0x28,
    /*166: ....1... */    0x08,
    /*167: ...1.... */    0x10,

/* char 0x2D (45) */
    /*168: ........ */    0x00,
    /*169: ........ */    0x00,
    /*16A: ........ */    0x00,
    /*16B: 1.1.1.1. */    0xAA,
    /*16C: ........ */    0x00,
    /*16D: ........ */    0x00,
    /*16E: ........ */    0x00,
    /*16F: ........ */    0x00,

/* char 0x2E (46) */
    /*170: ........ */    0x00,
    /*171: ........ */    0x00,
    /*172: ........ */    0x00,
    /*173: ........ */    0x00,
    /*174: ........ */    0x00,
    /*175: ..1.1... */    0x28,
    /*176: ..1.1... */    0x28,
    /*177: ........ */    0x00,

/* char 0x2F (47) */
    /*178: ......1. */    0x02,
    /*179: .....1.. */    0x04,
    /*17A: ....1... */    0x08,
    /*17B: ...1.... */    0x10,
    /*17C: ..1..... */    0x20,
    /*17D: .1...... */    0x40,
    /*17E: 1....... */    0x80,
    /*17F: ........ */    0x00,

/* char 0x30 (48) */
    /*180: ..1.1... */    0x28,
    /*181: .1...1.. */    0x44,
    /*182: 1.....1. */    0x82,
    /*183: 1.....1. */    0x82,
    /*184: 1.....1. */    0x82,
    /*185: .1...1.. */    0x44,
    /*186: ..1.1... */    0x28,
    /*187: ........ */    0x00,

/* char 0x31 (49) */
    /*188: ...1.... */    0x10,
    /*189: .1.1.... */    0x50,
    /*18A: ...1.... */    0x10,
    /*18B: ...1.... */    0x10,
    /*18C: ...1.... */    0x10,
    /*18D: ...1.... */    0x10,
    /*18E: .1.1.1.. */    0x54,
    /*18F: ........ */    0x00,

/* char 0x32 (50) */
    /*190: .1.1.1.. */    0x54,
    /*191: 1.....1. */    0x82,
    /*192: ......1. */    0x02,
    /*193: .....1.. */    0x04,
    /*194: ...1.... */    0x10,
    /*195: .1...... */    0x40,
    /*196: 1.1.1.1. */    0xAA,
    /*197: ........ */    0x00,

/* char 0x33 (51) */
    /*198: 1.1.1.1. */    0xAA,
    /*199: .....1.. */    0x04,
    /*19A: ....1... */    0x08,
    /*19B: ...1.1.. */    0x14,
    /*19C: ......1. */    0x02,
    /*19D: 1.....1. */    0x82,
    /*19E: .1.1.1.. */    0x54,
    /*19F: ........ */    0x00,

/* char 0x34 (52) */
    /*1A0: ....1... */    0x08,
    /*1A1: ...1.... */    0x10,
    /*1A2: ..1..1.. */    0x24,
    /*1A3: .1...1.. */    0x44,
    /*1A4: 1.1.11.1 */    0xAD,
    /*1A5: .....1.. */    0x04,
    /*1A6: .....1.. */    0x04,
    /*1A7: ........ */    0x00,

/* char 0x35 (53) */
    /*1A8: 1.1.1.1. */    0xAA,
    /*1A9: 1....... */    0x80,
    /*1AA: 11.1.1.. */    0xD4,
    /*1AB: ......1. */    0x02,
    /*1AC: ......1. */    0x02,
    /*1AD: 1.....1. */    0x82,
    /*1AE: .1.1.1.. */    0x54,
    /*1AF: ........ */    0x00,

/* char 0x36 (54) */
    /*1B0: ....1... */    0x08,
    /*1B1: ...1.... */    0x10,
    /*1B2: ..1..... */    0x20,
    /*1B3: .1.1.1.. */    0x54,
    /*1B4: 1.....1. */    0x82,
    /*1B5: 1.....1. */    0x82,
    /*1B6: .1.1.1.. */    0x54,
    /*1B7: ........ */    0x00,

/* char 0x37 (55) */
    /*1B8: 1.1.1.11 */    0xAB,
    /*1B9: ......1. */    0x02,
    /*1BA: .....1.. */    0x04,
    /*1BB: ....1... */    0x08,
    /*1BC: ...1.... */    0x10,
    /*1BD: ..1..... */    0x20,
    /*1BE: .1...... */    0x40,
    /*1BF: ........ */    0x00,

/* char 0x38 (56) */
    /*1C0: .1.1.1.. */    0x54,
    /*1C1: 1.....1. */    0x82,
    /*1C2: 1.....1. */    0x82,
    /*1C3: .1.1.1.. */    0x54,
    /*1C4: 1.....1. */    0x82,
    /*1C5: 1.....1. */    0x82,
    /*1C6: .1.1.1.. */    0x54,
    /*1C7: ........ */    0x00,

/* char 0x39 (57) */
    /*1C8: .1.1.1.. */    0x54,
    /*1C9: 1.....1. */    0x82,
    /*1CA: 1.....1. */    0x82,
    /*1CB: .1.1.1.. */    0x54,
    /*1CC: ....1... */    0x08,
    /*1CD: ...1.... */    0x10,
    /*1CE: ..1..... */    0x20,
    /*1CF: ........ */    0x00,

/* char 0x3A (58) */
    /*1D0: ........ */    0x00,
    /*1D1: ........ */    0x00,
    /*1D2: ..1.1... */    0x28,
    /*1D3: ..1.1... */    0x28,
    /*1D4: ........ */    0x00,
    /*1D5: ..1.1... */    0x28,
    /*1D6: ..1.1... */    0x28,
    /*1D7: ........ */    0x00,

/* char 0x3B (59) */
    /*1D8: ........ */    0x00,
    /*1D9: ..1.1... */    0x28,
    /*1DA: ..1.1... */    0x28,
    /*1DB: ........ */    0x00,
    /*1DC: ..1.1... */    0x28,
    /*1DD: ..1.1... */    0x28,
    /*1DE: ....1... */    0x08,
    /*1DF: ...1.... */    0x10,

/* char 0x3C (60) */
    /*1E0: ......1. */    0x02,
    /*1E1: ....1... */    0x08,
    /*1E2: ..1..... */    0x20,
    /*1E3: 1....... */    0x80,
    /*1E4: ..1..... */    0x20,
    /*1E5: ....1... */    0x08,
    /*1E6: ......1. */    0x02,
    /*1E7: ........ */    0x00,

/* char 0x3D (61) */
    /*1E8: ........ */    0x00,
    /*1E9: ........ */    0x00,
    /*1EA: 1.1.1.1. */    0xAA,
    /*1EB: ........ */    0x00,
    /*1EC: 1.1.1.1. */    0xAA,
    /*1ED: ........ */    0x00,
    /*1EE: ........ */    0x00,
    /*1EF: ........ */    0x00,

/* char 0x3E (62) */
    /*1F0: 1....... */    0x80,
    /*1F1: ..1..... */    0x20,
    /*1F2: ....1... */    0x08,
    /*1F3: ......1. */    0x02,
    /*1F4: ....1... */    0x08,
    /*1F5: ..1..... */    0x20,
    /*1F6: 1....... */    0x80,
    /*1F7: ........ */    0x00,

/* char 0x3F (63) */
    /*1F8: .1.1.1.. */    0x54,
    /*1F9: 1.....1. */    0x82,
    /*1FA: ......1. */    0x02,
    /*1FB: ....11.. */    0x0C,
    /*1FC: ...1.... */    0x10,
    /*1FD: ........ */    0x00,
    /*1FE: ...1.... */    0x10,
    /*1FF: ........ */    0x00,

/* char 0x40 (64) */
    /*200: ..1.1.1. */    0x2A,
    /*201: .1.....1 */    0x41,
    /*202: 1...1.11 */    0x8B,
    /*203: 1..1...1 */    0x91,
    /*204: 1..1.1.1 */    0x95,
    /*205: 1....... */    0x80,
    /*206: .1.1.1.1 */    0x55,
    /*207: ........ */    0x00,

/* char 0x41 (65) */
    /*208: ...1.... */    0x10,
    /*209: ..1.1... */    0x28,
    /*20A: .1...1.. */    0x44,
    /*20B: 1.....1. */    0x82,
    /*20C: 1.1.1.1. */    0xAA,
    /*20D: 1.....1. */    0x82,
    /*20E: 1.....1. */    0x82,
    /*20F: ........ */    0x00,

/* char 0x42 (66) */
    /*210: 1.1.1.1. */    0xAA,
    /*211: .1.....1 */    0x41,
    /*212: .1.....1 */    0x41,
    /*213: .11.1.1. */    0x6A,
    /*214: .1.....1 */    0x41,
    /*215: .1.....1 */    0x41,
    /*216: 1.1.1.1. */    0xAA,
    /*217: ........ */    0x00,

/* char 0x43 (67) */
    /*218: .1.1.1.. */    0x54,
    /*219: 1.....1. */    0x82,
    /*21A: 1....... */    0x80,
    /*21B: 1....... */    0x80,
    /*21C: 1....... */    0x80,
    /*21D: 1.....1. */    0x82,
    /*21E: .1.1.1.. */    0x54,
    /*21F: ........ */    0x00,

/* char 0x44 (68) */
    /*220: 1.1.1... */    0xA8,
    /*221: 1....1.. */    0x84,
    /*222: 1.....1. */    0x82,
    /*223: 1.....1. */    0x82,
    /*224: 1.....1. */    0x82,
    /*225: 1....1.. */    0x84,
    /*226: 1.1.1... */    0xA8,
    /*227: ........ */    0x00,

/* char 0x45 (69) */
    /*228: 1.1.1.1. */    0xAA,
    /*229: 1....... */    0x80,
    /*22A: 1....... */    0x80,
    /*22B: 1.1.1... */    0xA8,
    /*22C: 1....... */    0x80,
    /*22D: 1....... */    0x80,
    /*22E: 1.1.1.1. */    0xAA,
    /*22F: ........ */    0x00,

/* char 0x46 (70) */
    /*230: 1.1.1.1. */    0xAA,
    /*231: 1....... */    0x80,
    /*232: 1....... */    0x80,
    /*233: 1.1.1... */    0xA8,
    /*234: 1....... */    0x80,
    /*235: 1....... */    0x80,
    /*236: 1....... */    0x80,
    /*237: ........ */    0x00,

/* char 0x47 (71) */
    /*238: .1.1.1.. */    0x54,
    /*239: 1.....1. */    0x82,
    /*23A: 1....... */    0x80,
    /*23B: 1....... */    0x80,
    /*23C: 1...1.1. */    0x8A,
    /*23D: 1.....1. */    0x82,
    /*23E: .1.1.1.. */    0x54,
    /*23F: ........ */    0x00,

/* char 0x48 (72) */
    /*240: 1.....1. */    0x82,
    /*241: 1.....1. */    0x82,
    /*242: 1.....1. */    0x82,
    /*243: 1.1.1.1. */    0xAA,
    /*244: 1.....1. */    0x82,
    /*245: 1.....1. */    0x82,
    /*246: 1.....1. */    0x82,
    /*247: ........ */    0x00,

/* char 0x49 (73) */
    /*248: .1.1.1.. */    0x54,
    /*249: ...1.... */    0x10,
    /*24A: ...1.... */    0x10,
    /*24B: ...1.... */    0x10,
    /*24C: ...1.... */    0x10,
    /*24D: ...1.... */    0x10,
    /*24E: .1.1.1.. */    0x54,
    /*24F: ........ */    0x00,

/* char 0x4A (74) */
    /*250: ..1.1.1. */    0x2A,
    /*251: ....1... */    0x08,
    /*252: ....1... */    0x08,
    /*253: ....1... */    0x08,
    /*254: ....1... */    0x08,
    /*255: 1...1... */    0x88,
    /*256: .1.1.... */    0x50,
    /*257: ........ */    0x00,

/* char 0x4B (75) */
    /*258: 1.....1. */    0x82,
    /*259: 1....1.. */    0x84,
    /*25A: 1...1... */    0x88,
    /*25B: 1.11.... */    0xB0,
    /*25C: 1...1... */    0x88,
    /*25D: 1....1.. */    0x84,
    /*25E: 1.....1. */    0x82,
    /*25F: ........ */    0x00,

/* char 0x4C (76) */
    /*260: 1....... */    0x80,
    /*261: 1....... */    0x80,
    /*262: 1....... */    0x80,
    /*263: 1....... */    0x80,
    /*264: 1....... */    0x80,
    /*265: 1....... */    0x80,
    /*266: 1.1.1.1. */    0xAA,
    /*267: ........ */    0x00,

/* char 0x4D (77) */
    /*268: 1.....1. */    0x82,
    /*269: 11...11. */    0xC6,
    /*26A: 1.1.1.1. */    0xAA,
    /*26B: 1..1..1. */    0x92,
    /*26C: 1.....1. */    0x82,
    /*26D: 1.....1. */    0x82,
    /*26E: 1.....1. */    0x82,
    /*26F: ........ */    0x00,

/* char 0x4E (78) */
    /*270: 1.....1. */    0x82,
    /*271: 11....1. */    0xC2,
    /*272: 1.1...1. */    0xA2,
    /*273: 1..1..1. */    0x92,
    /*274: 1...1.1. */    0x8A,
    /*275: 1....11. */    0x86,
    /*276: 1.....1. */    0x82,
    /*277: ........ */    0x00,

/* char 0x4F (79) */
    /*278: .1.1.1.. */    0x54,
    /*279: 1.....1. */    0x82,
    /*27A: 1.....1. */    0x82,
    /*27B: 1.....1. */    0x82,
    /*27C: 1.....1. */    0x82,
    /*27D: 1.....1. */    0x82,
    /*27E: .1.1.1.. */    0x54,
    /*27F: ........ */    0x00,

/* char 0x50 (80) */
    /*280: 11.1.1.. */    0xD4,
    /*281: 1.....1. */    0x82,
    /*282: 1.....1. */    0x82,
    /*283: 11.1.1.. */    0xD4,
    /*284: 1....... */    0x80,
    /*285: 1....... */    0x80,
    /*286: 1....... */    0x80,
    /*287: ........ */    0x00,

/* char 0x51 (81) */
    /*288: .1.1.1.. */    0x54,
    /*289: 1.....1. */    0x82,
    /*28A: 1.....1. */    0x82,
    /*28B: 1.....1. */    0x82,
    /*28C: 1...1.1. */    0x8A,
    /*28D: 1....1.. */    0x84,
    /*28E: .1.11.1. */    0x5A,
    /*28F: ........ */    0x00,

/* char 0x52 (82) */
    /*290: 11.1.1.. */    0xD4,
    /*291: 1.....1. */    0x82,
    /*292: 1.....1. */    0x82,
    /*293: 11.1.1.. */    0xD4,
    /*294: 1...1... */    0x88,
    /*295: 1....1.. */    0x84,
    /*296: 1.....1. */    0x82,
    /*297: ........ */    0x00,

/* char 0x53 (83) */
    /*298: .1.1.1.. */    0x54,
    /*299: 1.....1. */    0x82,
    /*29A: 1....... */    0x80,
    /*29B: .1.1.1.. */    0x54,
    /*29C: ......1. */    0x02,
    /*29D: 1.....1. */    0x82,
    /*29E: .1.1.1.. */    0x54,
    /*29F: ........ */    0x00,

/* char 0x54 (84) */
    /*2A0: 1.1.1.1. */    0xAA,
    /*2A1: ...1.... */    0x10,
    /*2A2: ...1.... */    0x10,
    /*2A3: ...1.... */    0x10,
    /*2A4: ...1.... */    0x10,
    /*2A5: ...1.... */    0x10,
    /*2A6: ...1.... */    0x10,
    /*2A7: ........ */    0x00,

/* char 0x55 (85) */
    /*2A8: 1.....1. */    0x82,
    /*2A9: 1.....1. */    0x82,
    /*2AA: 1.....1. */    0x82,
    /*2AB: 1.....1. */    0x82,
    /*2AC: 1.....1. */    0x82,
    /*2AD: 1.....1. */    0x82,
    /*2AE: .1.1.1.. */    0x54,
    /*2AF: ........ */    0x00,

/* char 0x56 (86) */
    /*2B0: 1.....1. */    0x82,
    /*2B1: 1.....1. */    0x82,
    /*2B2: 1.....1. */    0x82,
    /*2B3: 1.....1. */    0x82,
    /*2B4: .1...1.. */    0x44,
    /*2B5: ..1.1... */    0x28,
    /*2B6: ...1.... */    0x10,
    /*2B7: ........ */    0x00,

/* char 0x57 (87) */
    /*2B8: 1.....1. */    0x82,
    /*2B9: 1.....1. */    0x82,
    /*2BA: 1.....1. */    0x82,
    /*2BB: 1..1..1. */    0x92,
    /*2BC: 1.1.1.1. */    0xAA,
    /*2BD: 11...11. */    0xC6,
    /*2BE: 1.....1. */    0x82,
    /*2BF: ........ */    0x00,

/* char 0x58 (88) */
    /*2C0: 1.....1. */    0x82,
    /*2C1: .1...1.. */    0x44,
    /*2C2: ..1.1... */    0x28,
    /*2C3: ...1.... */    0x10,
    /*2C4: ..1.1... */    0x28,
    /*2C5: .1...1.. */    0x44,
    /*2C6: 1.....1. */    0x82,
    /*2C7: ........ */    0x00,

/* char 0x59 (89) */
    /*2C8: 1.....1. */    0x82,
    /*2C9: .1...1.. */    0x44,
    /*2CA: ..1.1... */    0x28,
    /*2CB: ...1.... */    0x10,
    /*2CC: ...1.... */    0x10,
    /*2CD: ...1.... */    0x10,
    /*2CE: ...1.... */    0x10,
    /*2CF: ........ */    0x00,

/* char 0x5A (90) */
    /*2D0: 1.1.1.1. */    0xAA,
    /*2D1: .....1.. */    0x04,
    /*2D2: ....1... */    0x08,
    /*2D3: ...1.... */    0x10,
    /*2D4: ..1..... */    0x20,
    /*2D5: .1...... */    0x40,
    /*2D6: 1.1.1.1. */    0xAA,
    /*2D7: ........ */    0x00,

/* char 0x5B (91) */
    /*2D8: ..1.1... */    0x28,
    /*2D9: ..1..... */    0x20,
    /*2DA: ..1..... */    0x20,
    /*2DB: ..1..... */    0x20,
    /*2DC: ..1..... */    0x20,
    /*2DD: ..1..... */    0x20,
    /*2DE: ..1.1... */    0x28,
    /*2DF: ........ */    0x00,

/* char 0x5C (92) */
    /*2E0: 1....... */    0x80,
    /*2E1: .1...... */    0x40,
    /*2E2: ..1..... */    0x20,
    /*2E3: ...1.... */    0x10,
    /*2E4: ....1... */    0x08,
    /*2E5: .....1.. */    0x04,
    /*2E6: ......1. */    0x02,
    /*2E7: ........ */    0x00,

/* char 0x5D (93) */
    /*2E8: ..1.1... */    0x28,
    /*2E9: ....1... */    0x08,
    /*2EA: ....1... */    0x08,
    /*2EB: ....1... */    0x08,
    /*2EC: ....1... */    0x08,
    /*2ED: ....1... */    0x08,
    /*2EE: ..1.1... */    0x28,
    /*2EF: ........ */    0x00,

/* char 0x5E (94) */
    /*2F0: ...1.... */    0x10,
    /*2F1: ..1.1... */    0x28,
    /*2F2: .1.1.1.. */    0x54,
    /*2F3: 1..1..1. */    0x92,
    /*2F4: ...1.... */    0x10,
    /*2F5: ...1.... */    0x10,
    /*2F6: ...1.... */    0x10,
    /*2F7: ........ */    0x00,

/* char 0x5F (95) */
    /*2F8: ........ */    0x00,
    /*2F9: ..1..... */    0x20,
    /*2FA: .1...... */    0x40,
    /*2FB: 1.1.1.1. */    0xAA,
    /*2FC: .1...... */    0x40,
    /*2FD: ..1..... */    0x20,
    /*2FE: ........ */    0x00,
    /*2FF: ........ */    0x00,

/* char 0x60 (96) */
    /*300: ..1.1... */    0x28,
    /*301: .1...1.. */    0x44,
    /*302: ..1.1... */    0x28,
    /*303: ........ */    0x00,
    /*304: ........ */    0x00,
    /*305: ........ */    0x00,
    /*306: ........ */    0x00,
    /*307: ........ */    0x00,

/* char 0x61 (97) */
    /*308: ........ */    0x00,
    /*309: ........ */    0x00,
    /*30A: .1.1.1.. */    0x54,
    /*30B: ......1. */    0x02,
    /*30C: .1.1.11. */    0x56,
    /*30D: 1.....1. */    0x82,
    /*30E: .1.1.1.1 */    0x55,
    /*30F: ........ */    0x00,

/* char 0x62 (98) */
    /*310: .1...... */    0x40,
    /*311: .1...... */    0x40,
    /*312: .1.1.1.. */    0x54,
    /*313: .1....1. */    0x42,
    /*314: .1....1. */    0x42,
    /*315: .1....1. */    0x42,
    /*316: .1.1.1.. */    0x54,
    /*317: ........ */    0x00,

/* char 0x63 (99) */
    /*318: ........ */    0x00,
    /*319: ........ */    0x00,
    /*31A: ..1.1.1. */    0x2A,
    /*31B: .1...... */    0x40,
    /*31C: .1...... */    0x40,
    /*31D: .1...... */    0x40,
    /*31E: ..1.1.1. */    0x2A,
    /*31F: ........ */    0x00,

/* char 0x64 (100) */
    /*320: ......1. */    0x02,
    /*321: ......1. */    0x02,
    /*322: ..1.1.1. */    0x2A,
    /*323: .1....1. */    0x42,
    /*324: .1....1. */    0x42,
    /*325: .1....1. */    0x42,
    /*326: ..1.1.1. */    0x2A,
    /*327: ........ */    0x00,

/* char 0x65 (101) */
    /*328: ........ */    0x00,
    /*329: ........ */    0x00,
    /*32A: .1.1.1.. */    0x54,
    /*32B: 1.....1. */    0x82,
    /*32C: 1.1.1.1. */    0xAA,
    /*32D: 1....... */    0x80,
    /*32E: .1.1.1.. */    0x54,
    /*32F: ........ */    0x00,

/* char 0x66 (102) */
    /*330: ....1.1. */    0x0A,
    /*331: ...1.... */    0x10,
    /*332: ...1.... */    0x10,
    /*333: .1.1.1.. */    0x54,
    /*334: ...1.... */    0x10,
    /*335: ...1.... */    0x10,
    /*336: ...1.... */    0x10,
    /*337: ........ */    0x00,

/* char 0x67 (103) */
    /*338: ........ */    0x00,
    /*339: ........ */    0x00,
    /*33A: ..1.1.1. */    0x2A,
    /*33B: .1....1. */    0x42,
    /*33C: .1....1. */    0x42,
    /*33D: ..1.1.1. */    0x2A,
    /*33E: ......1. */    0x02,
    /*33F: ...1.1.. */    0x14,

/* char 0x68 (104) */
    /*340: .1...... */    0x40,
    /*341: .1...... */    0x40,
    /*342: .1.1.1.. */    0x54,
    /*343: .1....1. */    0x42,
    /*344: .1....1. */    0x42,
    /*345: .1....1. */    0x42,
    /*346: .1....1. */    0x42,
    /*347: ........ */    0x00,

/* char 0x69 (105) */
    /*348: ...1.... */    0x10,
    /*349: ........ */    0x00,
    /*34A: ...1.... */    0x10,
    /*34B: .1.1.... */    0x50,
    /*34C: ...1.... */    0x10,
    /*34D: ...1.... */    0x10,
    /*34E: .1.1.1.. */    0x54,
    /*34F: ........ */    0x00,

/* char 0x6A (106) */
    /*350: .....1.. */    0x04,
    /*351: ........ */    0x00,
    /*352: .....1.. */    0x04,
    /*353: ...1.1.. */    0x14,
    /*354: .....1.. */    0x04,
    /*355: .....1.. */    0x04,
    /*356: .1...1.. */    0x44,
    /*357: ..1.1... */    0x28,

/* char 0x6B (107) */
    /*358: .1...... */    0x40,
    /*359: .1...... */    0x40,
    /*35A: .1....1. */    0x42,
    /*35B: .1...1.. */    0x44,
    /*35C: .1.11... */    0x58,
    /*35D: .1...1.. */    0x44,
    /*35E: .1....1. */    0x42,
    /*35F: ........ */    0x00,

/* char 0x6C (108) */
    /*360: .1.1.... */    0x50,
    /*361: ...1.... */    0x10,
    /*362: ...1.... */    0x10,
    /*363: ...1.... */    0x10,
    /*364: ...1.... */    0x10,
    /*365: ...1.... */    0x10,
    /*366: .1.1.1.. */    0x54,
    /*367: ........ */    0x00,

/* char 0x6D (109) */
    /*368: ........ */    0x00,
    /*369: ........ */    0x00,
    /*36A: 1.1.1.1. */    0xAA,
    /*36B: .1..1..1 */    0x49,
    /*36C: .1..1..1 */    0x49,
    /*36D: .1..1..1 */    0x49,
    /*36E: .1..1..1 */    0x49,
    /*36F: ........ */    0x00,

/* char 0x6E (110) */
    /*370: ........ */    0x00,
    /*371: ........ */    0x00,
    /*372: 11.1.1.. */    0xD4,
    /*373: .1....1. */    0x42,
    /*374: .1....1. */    0x42,
    /*375: .1....1. */    0x42,
    /*376: .1....1. */    0x42,
    /*377: ........ */    0x00,

/* char 0x6F (111) */
    /*378: ........ */    0x00,
    /*379: ........ */    0x00,
    /*37A: .1.1.1.. */    0x54,
    /*37B: 1.....1. */    0x82,
    /*37C: 1.....1. */    0x82,
    /*37D: 1.....1. */    0x82,
    /*37E: .1.1.1.. */    0x54,
    /*37F: ........ */    0x00,

/* char 0x70 (112) */
    /*380: ........ */    0x00,
    /*381: ........ */    0x00,
    /*382: .1.1.1.. */    0x54,
    /*383: .1....1. */    0x42,
    /*384: .1....1. */    0x42,
    /*385: .1.1.1.. */    0x54,
    /*386: .1...... */    0x40,
    /*387: .1...... */    0x40,

/* char 0x71 (113) */
    /*388: ........ */    0x00,
    /*389: ........ */    0x00,
    /*38A: ..1.1.1. */    0x2A,
    /*38B: .1....1. */    0x42,
    /*38C: .1....1. */    0x42,
    /*38D: ..1.1.1. */    0x2A,
    /*38E: ......1. */    0x02,
    /*38F: ......1. */    0x02,

/* char 0x72 (114) */
    /*390: ........ */    0x00,
    /*391: ........ */    0x00,
    /*392: .1.1.1.. */    0x54,
    /*393: ..1...1. */    0x22,
    /*394: ..1..... */    0x20,
    /*395: ..1..... */    0x20,
    /*396: ..1..... */    0x20,
    /*397: ........ */    0x00,

/* char 0x73 (115) */
    /*398: ........ */    0x00,
    /*399: ........ */    0x00,
    /*39A: .1.1.1.. */    0x54,
    /*39B: 1....... */    0x80,
    /*39C: .1.1.1.. */    0x54,
    /*39D: ......1. */    0x02,
    /*39E: .1.1.1.. */    0x54,
    /*39F: ........ */    0x00,

/* char 0x74 (116) */
    /*3A0: ...1.... */    0x10,
    /*3A1: ...1.... */    0x10,
    /*3A2: .1.1.1.. */    0x54,
    /*3A3: ...1.... */    0x10,
    /*3A4: ...1.... */    0x10,
    /*3A5: ...1..1. */    0x12,
    /*3A6: ....11.. */    0x0C,
    /*3A7: ........ */    0x00,

/* char 0x75 (117) */
    /*3A8: ........ */    0x00,
    /*3A9: ........ */    0x00,
    /*3AA: .1....1. */    0x42,
    /*3AB: .1....1. */    0x42,
    /*3AC: .1....1. */    0x42,
    /*3AD: .1....1. */    0x42,
    /*3AE: ..1.1.1. */    0x2A,
    /*3AF: ........ */    0x00,

/* char 0x76 (118) */
    /*3B0: ........ */    0x00,
    /*3B1: ........ */    0x00,
    /*3B2: 1.....1. */    0x82,
    /*3B3: 1.....1. */    0x82,
    /*3B4: .1...1.. */    0x44,
    /*3B5: ..1.1... */    0x28,
    /*3B6: ...1.... */    0x10,
    /*3B7: ........ */    0x00,

/* char 0x77 (119) */
    /*3B8: ........ */    0x00,
    /*3B9: ........ */    0x00,
    /*3BA: 1.....1. */    0x82,
    /*3BB: 1..1..1. */    0x92,
    /*3BC: 1..1..1. */    0x92,
    /*3BD: 1.1.1.1. */    0xAA,
    /*3BE: .1...1.. */    0x44,
    /*3BF: ........ */    0x00,

/* char 0x78 (120) */
    /*3C0: ........ */    0x00,
    /*3C1: ........ */    0x00,
    /*3C2: .1...1.. */    0x44,
    /*3C3: ..1.1... */    0x28,
    /*3C4: ...1.... */    0x10,
    /*3C5: ..1.1... */    0x28,
    /*3C6: .1...1.. */    0x44,
    /*3C7: ........ */    0x00,

/* char 0x79 (121) */
    /*3C8: ........ */    0x00,
    /*3C9: ........ */    0x00,
    /*3CA: 1.....1. */    0x82,
    /*3CB: .1...1.. */    0x44,
    /*3CC: ..1.1... */    0x28,
    /*3CD: ...1.... */    0x10,
    /*3CE: ..1..... */    0x20,
    /*3CF: .1...... */    0x40,

/* char 0x7A (122) */
    /*3D0: ........ */    0x00,
    /*3D1: ........ */    0x00,
    /*3D2: .1.1.1.. */    0x54,
    /*3D3: ....1... */    0x08,
    /*3D4: ...1.... */    0x10,
    /*3D5: ..1..... */    0x20,
    /*3D6: .1.1.1.. */    0x54,
    /*3D7: ........ */    0x00,

/* char 0x7B (123) */
    /*3D8: ..1.1... */    0x28,
    /*3D9: .1...... */    0x40,
    /*3DA: ..1.1... */    0x28,
    /*3DB: .1...1.. */    0x44,
    /*3DC: ..1.1... */    0x28,
    /*3DD: .....1.. */    0x04,
    /*3DE: ..1.1... */    0x28,
    /*3DF: ........ */    0x00,

/* char 0x7C (124) */
    /*3E0: ...1.11. */    0x16,
    /*3E1: ..1....1 */    0x21,
    /*3E2: ..1..... */    0x20,
    /*3E3: 1.1.11.. */    0xAC,
    /*3E4: ..1..... */    0x20,
    /*3E5: .1...... */    0x40,
    /*3E6: 1.1.1.1. */    0xAA,
    /*3E7: ........ */    0x00,

/* char 0x7D (125) */
    /*3E8: ...1.... */    0x10,
    /*3E9: ..1..... */    0x20,
    /*3EA: .1.1.1.. */    0x54,
    /*3EB: 1.....1. */    0x82,
    /*3EC: 1.1.1.1. */    0xAA,
    /*3ED: 1....... */    0x80,
    /*3EE: .1.1.1.. */    0x54,
    /*3EF: ........ */    0x00,

/* char 0x7E (126) */
    /*3F0: ........ */    0x00,
    /*3F1: ........ */    0x00,
    /*3F2: ..1.1.1. */    0x2A,
    /*3F3: .1...... */    0x40,
    /*3F4: .1...... */    0x40,
    /*3F5: ..1.1.1. */    0x2A,
    /*3F6: .....1.. */    0x04,
    /*3F7: ...111.. */    0x1C,

/* char 0x7F (127) */
    /*3F8: ........ */    0x00,
    /*3F9: ......1. */    0x02,
    /*3FA: .1.1.1.1 */    0x55,
    /*3FB: 1...1... */    0x88,
    /*3FC: 1..1.... */    0x90,
    /*3FD: .11.1.1. */    0x6A,
    /*3FE: .1...... */    0x40,
    /*3FF: ........ */    0x00,

};


#if defined(__WXMSW__)
// this table translates the wang character set to the closest representation
// in the courier font that is used by wxwindows under windows.  I think it
// is a latin-1 encoding. of course the core ascii characters are unchanged,
// but some of the symbols have different encodings or are just not available.
uint8 xlat_char[128] = {

    /* the first 16 chars are identical to 0x80-0x8F,
     * but they can never be seen */
    /*0x00*/ 0x20,      // blank
    /*0x01*/ 0x81,      // diamond (no mapping)
    /*0x02*/ 0x9b,      // triangle point right |>
    /*0x03*/ 0x8b,      // triangle point left <|
    /*0x04*/ 0xbb,      // right arrow (becomes >> digraph)
    /*0x05*/ 0xac,      // blank marker |_ (becomes -|)
    /*0x06*/ 0x7c,      // solid vertical bar |
    /*0x07*/ 0xa8,      // umlaut
    /*0x08*/ 0xb4,      // accent acute
    /*0x09*/ 0x60,      // accent grave
    /*0x0a*/ 0x5e,      // up arrow (^)
    /*0x0b*/ 0x95,      // low box (becomes bullet dot)
    /*0x0c*/ 0xa1,      // double !! (becomes upside down !)
    /*0x0d*/ 0xa6,      // updown arrow (split |)
    /*0x0e*/ 0xdf,      // beta
    /*0x0f*/ 0xb6,      // paragraph

    /*0x10*/ 0xe2,      // a-hat
    /*0x11*/ 0xea,      // e-hat
    /*0x12*/ 0xee,      // i-hat
    /*0x13*/ 0xf4,      // o-hat
    /*0x14*/ 0xfb,      // u-hat
    /*0x15*/ 0xe4,      // a-umlaut
    /*0x16*/ 0xeb,      // e-umlaut
    /*0x17*/ 0xef,      // i-umlaut
    /*0x18*/ 0xf6,      // o-umlaut
    /*0x19*/ 0xfc,      // u-umlaut
    /*0x1a*/ 0xe0,      // a-accent grave
    /*0x1b*/ 0xe8,      // e-accent grave
    /*0x1c*/ 0xf9,      // u-accent grave
    /*0x1d*/ 0xc4,      // A-umlaut
    /*0x1e*/ 0xd6,      // O-umlaut
    /*0x1f*/ 0xdc,      // U-umlaut

    /* 0x20 - 0x5A core ascii, A-Z, [\] */
    0x20, 0x21, 0x22, 0x23, 0x24, 0x25, 0x26, 0x27,
    0x28, 0x29, 0x2a, 0x2b, 0x2c, 0x2d, 0x2e, 0x2f,
    0x30, 0x31, 0x32, 0x33, 0x34, 0x35, 0x36, 0x37,
    0x38, 0x39, 0x3a, 0x3b, 0x3c, 0x3d, 0x3e, 0x3f,
    0x40, 0x41, 0x42, 0x43, 0x44, 0x45, 0x46, 0x47,
    0x48, 0x49, 0x4a, 0x4b, 0x4c, 0x4d, 0x4e, 0x4f,
    0x50, 0x51, 0x52, 0x53, 0x54, 0x55, 0x56, 0x57,
    0x58, 0x59, 0x5a, 0x5b, 0x5c, 0x5d,

    /*0x5e*/ 0x5e,      // up arrow (^)
    /*0x5f*/ 0xAB,      // left arrow (becomes "<<" digraph)
    /*0x60*/ 0xb0,      // degree

    /* 0x61 - 0x7a (a-z) */
          0x61, 0x62, 0x63, 0x64, 0x65, 0x66, 0x67,
    0x68, 0x69, 0x6a, 0x6b, 0x6c, 0x6d, 0x6e, 0x6f,
    0x70, 0x71, 0x72, 0x73, 0x74, 0x75, 0x76, 0x77,
    0x78, 0x79, 0x7a,

    /*0x7b*/ 0xa7,      // section mark ()
    /*0x7c*/ 0xa3,      // pound sterling
    /*0x7d*/ 0xe9,      // e-accent acute
    /*0x7e*/ 0xe7,      // c-cedilla
    /*0x7f*/ 0xa2,      // cent
};
#elif defined(__WXMAC__)
// this table translates the wang character set to the closest representation
// in the courier font that is used by wxwindows on the mac.  I think it is
// a latin-1 encoding. of course the core ascii characters are unchanged,
// but some of the symbols have different encodings or are just not available.
uint8 xlat_char[128] = {

    /* the first 16 chars are identical to 0x80-0x8F,
     * but they can never be seen */
    /*0x00*/ 0x20,      // blank
    /*0x01*/ 0xd7,      // diamond
    /*0x02*/ 0xdd,      // triangle point right |> (maps to bold >)
    /*0x03*/ 0xdc,      // triangle point left <|  (maps to bold <)
    /*0x04*/ 0xc8,      // right arrow             (maps to >> digraph)
    /*0x05*/ 0xe1,      // blank marker |_ (becomes heavy dot)
    /*0x06*/ 0x7c,      // solid vertical bar |
    /*0x07*/ 0xac,      // umlaut
    /*0x08*/ 0xab,      // accent acute
    /*0x09*/ 0x60,      // accent grave
    /*0x0a*/ 0x5e,      // up arrow (^)
    /*0x0b*/ 0xf0,      // low box (maps to apple icon)
    /*0x0c*/ 0xc1,      // double !! (maps to upside down !)
    /*0x0d*/ 0xe0,      // updown arrow (maps to double dagger)
    /*0x0e*/ 0xa7,      // beta
    /*0x0f*/ 0xa6,      // paragraph

    /*0x10*/ 0x89,      // a-hat
    /*0x11*/ 0x90,      // e-hat
    /*0x12*/ 0x94,      // i-hat
    /*0x13*/ 0x99,      // o-hat
    /*0x14*/ 0x9e,      // u-hat
    /*0x15*/ 0x8a,      // a-umlaut
    /*0x16*/ 0x91,      // e-umlaut
    /*0x17*/ 0x95,      // i-umlaut
    /*0x18*/ 0x9a,      // o-umlaut
    /*0x19*/ 0x9f,      // u-umlaut
    /*0x1a*/ 0x88,      // a-accent grave
    /*0x1b*/ 0x8f,      // e-accent grave
    /*0x1c*/ 0x9d,      // u-accent grave
    /*0x1d*/ 0x80,      // A-umlaut
    /*0x1e*/ 0x85,      // O-umlaut
    /*0x1f*/ 0x86,      // U-umlaut

    /* 0x20 - 0x5A core ascii, A-Z, [\] */
    0x20, 0x21, 0x22, 0x23, 0x24, 0x25, 0x26, 0x27,
    0x28, 0x29, 0x2a, 0x2b, 0x2c, 0x2d, 0x2e, 0x2f,
    0x30, 0x31, 0x32, 0x33, 0x34, 0x35, 0x36, 0x37,
    0x38, 0x39, 0x3a, 0x3b, 0x3c, 0x3d, 0x3e, 0x3f,
    0x40, 0x41, 0x42, 0x43, 0x44, 0x45, 0x46, 0x47,
    0x48, 0x49, 0x4a, 0x4b, 0x4c, 0x4d, 0x4e, 0x4f,
    0x50, 0x51, 0x52, 0x53, 0x54, 0x55, 0x56, 0x57,
    0x58, 0x59, 0x5a, 0x5b, 0x5c, 0x5d,

    /*0x5e*/ 0x5e,      // up arrow (^)
    /*0x5f*/ 0xc7,      // left arrow (maps to << digraph)
    /*0x60*/ 0xa1,      // degree

    /* 0x61 - 0x7a (a-z) */
          0x61, 0x62, 0x63, 0x64, 0x65, 0x66, 0x67,
    0x68, 0x69, 0x6a, 0x6b, 0x6c, 0x6d, 0x6e, 0x6f,
    0x70, 0x71, 0x72, 0x73, 0x74, 0x75, 0x76, 0x77,
    0x78, 0x79, 0x7a,

    /*0x7b*/ 0xa4,      // section mark ()
    /*0x7c*/ 0xa3,      // pound sterling
    /*0x7d*/ 0x8e,      // e-accent acute
    /*0x7e*/ 0x8d,      // c-cedilla
    /*0x7f*/ 0xa2,      // cent
};
#else
    ERROR: undefined port
#endif
